[FFe] Update gnome-do and gnome-do-plugins to version 0.8.1.3

Bug #344578 reported by Iain Lane on 2009-03-17
8
Affects Status Importance Assigned to Milestone
gnome-do (Ubuntu)
Wishlist
Unassigned
gnome-do-plugins (Ubuntu)
Wishlist
Unassigned

Bug Description

Binary package hint: gnome-do

Hello,

I'd like approval to update Do and plugins to version 0.8.1.3. Upstream describe this as a "90% bugfix" release. There is no changelog, but a list of bugs closed can be found in the Debian changelog (pasted below). Release notes can be found at
  http://do.davebsd.com/wiki/index.php?title=0.8.1_Release_Notes

New features in Do
===========

    * Clock and calendar widget

New features in do-plugins
===============

    * Emesene plugin
    * Youtube plugin
    * RequestTracker plugin
    * TSClient Plugin now searches for rdp connection files in all subdirectories (recursively) in ~/.tsclient
    * Files and Folders Plugin now allows the user to ignore the maximum number of files limit that Do will index
    * Files and Folders Plugin allows the user to exclude paths from being indexed.
    * Locate Plugin now returns a nice error message when no files are found
    * WindowManager Plugin now uses a better window matching algorithm
    * VirtualBox Plugin now uses operating system icons for virtual machine items
    * Tracker plugin now returns search results to Do
    * Bibtex_Plugin fixes for 0.8 have been merged, Thumbnail support added
    * Banshee plugin now indexes your media library.
    * Shelf plugin greatly improved. Supporting multiple shelves, and shelf persistence across Do sessions. Also, ability to rename, add, and delete shelves.

debian/changelog for Do
==============

gnome-do (0.8.1.3-0ubuntu1) jaunty; urgency=low

  * New upstream release. (LP: #xxx)
    + Gnome Do causes keyboard keys to be remapped (LP: #308143)
    + Docky window too small when summoned (LP: #317381)
    + Minimize/Maximize does not work on all windows (LP: #317908)
    + Docky blocks drag and drop over large areas of the screen
      (LP: #318471)
    + Docky fails to autohide properly when changing themes
      (LP: #318672)
    + Paste via ctrl+v does not work in 1st pane (LP: #318922)
    + Autostart is in wrong assembly (LP: #319114)
    + Docky has no results list (LP: #319797)
    + Docky trash applet does not reflect current state
      (LP: #320621)
    + Docky panels splits into two when over filled (LP: #324648)
    + Docky ui division is inconsistent and confusing
      (LP: #324718)
    + poor performance with two screens (LP: #323294)
    + Docky trash applet doesn't check if trash exists
      (LP: #323453)
    + docky panel splits into two when overfilled (LP: #324648)
    + Docky's UI division is inconsistent and confusing
      (LP: #324718)
    + Do crashes when using a pastebin launcher with docky
      (LP: #325178)
    + Make docky aware of icon theme switch (LP: #328721)
    + Docky doesn't update icon status for some apps that minimize
      to system tray. (LP: #329120)
    + Docky does not work properly with pull-down window
      (LP: #334663)
    + sensitivity of zooming the icons in the dock isn't
      configurable (LP: #336214)
    + Regression: In 0.8.1, "Request attention" is no longer
      indicated (LP: #337594)
    + Clock's Calendar mode auto-hides when leaving the bounds of
      the original dock (LP: #337783)
    + gnome-do does not notice change of icon theme (LP: #204368)
    + Thumbnails are never displayed when files have spaces in
      their names (LP: #311551)
    + Open improperly escapes URLs. (LP: #317416)
    + Docky: Right-click dialog appears on wrong monitor
      (LP: #319062)
    + Dragging items off Docky possible in summon mode
      (LP: #319452)
    + Docky shows icon according to the filename (LP: #320892)
    + Mouse click inactive when Do(cky) is summoned (LP: #324937)
    + Docky trash don't have a right-click menu (LP: #317947)
    + Polish docky's window name labels (LP: #318487)
    + Docky: Scroll on window icon should switch between windows
      of that app (LP: #319805)
    + Docky does not preserve window stack (z?) order when
      switching apps by clicking on app icon (LP: #326661)
    + Docky window switching should be easier. (LP: #327079)
    + Color of indicators on Docky cannot be changed
      (LP: #332936)
    + Do's ResultWindow is using wrong text color (LP: #288771)
    + Docky won't unhide after rev 1053 (LP: #337113)
    + Do's icon label in Docky should be "GNOME Do" instead of
      "Summon GNOME Do" (LP: #338496)
  * Build against gtk, gnome mono packages from Experimental.
  * debian/control:
    + Bump versioned dep on libgtk2.0-cil to ensure
      Gdk.Screen.IsComposited exists
    + Add libwnck2.20-cil build-dep
    + Add librsvg2-2.18-cil build-dep
    + gnome-sharp2 transition.
  * debian/patches/03_show_in_all_DEs
    + Drop; fixed in new upstream
  * debian/gnome-do.1
    + Update for new version.

 -- Daniel T Chen <email address hidden> Fri, 13 Mar 2009 18:00:35 -0400

debian/changelog for plugins
=================

gnome-do-plugins (0.8.1.3+dfsg-0ubuntu1) jaunty; urgency=low

  [ Daniel T Chen ]
  * New upstream release. (LP: #xxx)
    + Banshee plugin goes crazy if banshee isn't loaded first
      (LP: #289802)
    + gnome-do gCalculate plugin fails to display "times" symbol
      (LP: #274252)
    + Banshee-1 fails to build in Mono 2.0 (LP: #309188)
    + Pidgin 2.5.4 has incompatible dbus interface. s/uint/int/
      (LP: #314927)
    + Pidgin plugin hangs opening a chat if pidgin is unresponsive
      (LP: #315565)
    + twitter plugin still reports friend updates even when
      deactivated (LP: #317674)
    + Misspelling in microblogging plugin confirmation message
      (LP: #319433)
    + make install uses mdtool, but configure doesn't check for it
      (LP: #322951)
    + Virtualbox Icon in 2.10 are broken because of a new
      specification (LP: #323902)
    + Google Maps Plugin shouldn't always use route (LP: #324271)
    + Fix for Google Maps when using newlines and other special
      characters (LP: #324667)
    + VirtualBox failed to load icon (LP: #325712)
    + 'Read Man Pages' plugin makes Gnome-Do unresponsive
      (LP: #325935)
    + Search returns broken URLs (LP: #327855)
    + Default action for SSH hosts is "open" (LP: #328236)
    + Files and Folders Configuration doesn't use standard buttons
      (LP: #328236)
    + Window manager maximize action should focus if window is not
      currently focused (LP: #258893)
    + Locate plugin has no error message (LP: #262360)
    + Wishlist: Let user specify files and folders to ignore
      (LP: #263177)
    + ts-client plugin doesn't index subdirectories (LP: #322352)
    + Max 3000 items in Files and Folders plugin (LP: #324105)
    + putty cannot find host when running from gnome do
      (LP: #324282)
    + locate plugin with globbing (LP: #334798)
    + Twitter plugin encountered an error in UpdateFriends
      (LP: #317575)
    + gnome-terminal profiles no longer work (LP: #321977)
    + Creating a task using Remember the Milk plugin can fail if
      no task list is specified (LP: #324066)
    + bundled libraries makefile needs destdir (LP: #324704)
    + Typographical error in del.icio.us plugin (LP: #330525)
    + ImageShack fails to upload (LP: #337324)
  * debian/copyright
    + Refresh for new upstream version; new plugins added.
  * debian/patches/00_dfsg_autofoo.dpatch
    + Update for new upstream version
    + Don't build the YouTube plugin due to removal of shipped
      exes and dlls causing FTBFS
  * debian/patches/02_ssh_respect_exec_arg.dpatch
    debian/patches/03_buildsystem_respect_mcs.dpatch
    debian/patches/04_fix_pidgin_dbus_ints.dpatch
    + Drop; fixed upstream

  [ Iain Lane ]
  * debian/rules: Update repackaging to not delete *.dll; upstream now ships
    source copies of google-gdata meaning we can now enable the Google and
    Youtube plugins.
  * debian/patches/00_dfsg_autofoo: Drop, fixed by including and building
    these libs now.
  * debian/copyright: Update with information for google-gdata.
  * debian/patches/04_fix_pidgin_dbus_ints.dpatch: Add left out piece of patch

 -- Iain Lane <email address hidden> Tue, 17 Mar 2009 20:04:50 +0000

Testing
====

I have been running versions of these for days now and have not experienced any regressions. User reports in #gnome-do from using the PPA packages have been positive (especially since we are able to re-enable the Google plugins with this release).

Iain Lane (laney) wrote :

Build logs available in my PPA:

  https://launchpad.net/~laney/+archive/ppa

Iain Lane (laney) wrote :
Iain Lane (laney) wrote :
Michael Rooney (mrooney) wrote :

I just want to add that this update is quite solid for me as well, fixing many issues and causing no regressions. Also new plugins aren't something that even could cause a regression for someone, as they aren't enabled by default.

Iain Lane (laney) wrote :
Iain Lane (laney) wrote :
Iain Lane (laney) wrote :

Ack #1 from me. Do is on of those things we want the latest crack for.

Nathan Handler (nhandler) wrote :

It looks good to me too. However, you mentioned that you have made some changes to the .diff.gz offline. Could you please attach these modified .diff.gz files before I officially ACK this FFe? Thanks in advance.

Iain Lane (laney) wrote :

Sure, here.

Iain Lane (laney) wrote :
Iulian Udrea (iulian) wrote :

ACK from me as well. Please go ahead.

Changed in gnome-do (Ubuntu):
importance: Undecided → Wishlist
status: New → Confirmed
Changed in gnome-do-plugins (Ubuntu):
importance: Undecided → Wishlist
status: New → Confirmed
Iain Lane (laney) wrote :

Thanks a lot guys. Uploading now.

Changed in gnome-do (Ubuntu):
status: Confirmed → Fix Committed
Launchpad Janitor (janitor) wrote :
Download full text (3.3 KiB)

This bug was fixed in the package gnome-do - 0.8.1.3-0ubuntu1

---------------
gnome-do (0.8.1.3-0ubuntu1) jaunty; urgency=low

  * New upstream release (LP: #344578).
    + Gnome Do causes keyboard keys to be remapped (LP: #308143)
    + Docky window too small when summoned (LP: #317381)
    + Minimize/Maximize does not work on all windows (LP: #317908)
    + Docky blocks drag and drop over large areas of the screen
      (LP: #318471)
    + Docky fails to autohide properly when changing themes
      (LP: #318672)
    + Paste via ctrl+v does not work in 1st pane (LP: #318922)
    + Autostart is in wrong assembly (LP: #319114)
    + Docky has no results list (LP: #319797)
    + Docky trash applet does not reflect current state
      (LP: #320621)
    + Docky panels splits into two when over filled (LP: #324648)
    + Docky ui division is inconsistent and confusing
      (LP: #324718)
    + poor performance with two screens (LP: #323294)
    + Docky trash applet doesn't check if trash exists
      (LP: #323453)
    + docky panel splits into two when overfilled (LP: #324648)
    + Docky's UI division is inconsistent and confusing
      (LP: #324718)
    + Do crashes when using a pastebin launcher with docky
      (LP: #325178)
    + Make docky aware of icon theme switch (LP: #328721)
    + Docky doesn't update icon status for some apps that minimize
      to system tray. (LP: #329120)
    + Docky does not work properly with pull-down window
      (LP: #334663)
    + sensitivity of zooming the icons in the dock isn't
      configurable (LP: #336214)
    + Regression: In 0.8.1, "Request attention" is no longer
      indicated (LP: #337594)
    + Clock's Calendar mode auto-hides when leaving the bounds of
      the original dock (LP: #337783)
    + gnome-do does not notice change of icon theme (LP: #204368)
    + Thumbnails are never displayed when files have spaces in
      their names (LP: #311551)
    + Open improperly escapes URLs. (LP: #317416)
    + Docky: Right-click dialog appears on wrong monitor
      (LP: #319062)
    + Dragging items off Docky possible in summon mode
      (LP: #319452)
    + Docky shows icon according to the filename (LP: #320892)
    + Mouse click inactive when Do(cky) is summoned (LP: #324937)
    + Docky trash don't have a right-click menu (LP: #317947)
    + Polish docky's window name labels (LP: #318487)
    + Docky: Scroll on window icon should switch between windows
      of that app (LP: #319805)
    + Docky does not preserve window stack (z?) order when
      switching apps by clicking on app icon (LP: #326661)
    + Docky window switching should be easier. (LP: #327079)
    + Color of indicators on Docky cannot be changed
      (LP: #332936)
    + Do's ResultWindow is using wrong text color (LP: #288771)
    + Docky won't unhide after rev 1053 (LP: #337113)
    + Do's icon label in Docky should be "GNOME Do" instead of
      "Summon GNOME Do" (LP: #338496)
  * Build against gtk, gnome mono packages from Experimental.
  * debian/control:
    + Bump versioned dep on libgtk2.0-cil to ensure
      Gdk.Screen.IsComposited exists
    + Add libwnck2.20-cil build-dep
    + Add librsvg2-2.18-cil build-dep
    + gnome...

Read more...

Changed in gnome-do:
status: Fix Committed → Fix Released
Launchpad Janitor (janitor) wrote :
Download full text (3.3 KiB)

This bug was fixed in the package gnome-do-plugins - 0.8.1.3+dfsg-0ubuntu1

---------------
gnome-do-plugins (0.8.1.3+dfsg-0ubuntu1) jaunty; urgency=low

  [ Daniel T Chen ]
  * New upstream release (LP: #344578)
    + Banshee plugin goes crazy if banshee isn't loaded first
      (LP: #289802)
    + gnome-do gCalculate plugin fails to display "times" symbol
      (LP: #274252)
    + Banshee-1 fails to build in Mono 2.0 (LP: #309188)
    + Pidgin 2.5.4 has incompatible dbus interface. s/uint/int/
      (LP: #314927)
    + Pidgin plugin hangs opening a chat if pidgin is unresponsive
      (LP: #315565)
    + twitter plugin still reports friend updates even when
      deactivated (LP: #317674)
    + Misspelling in microblogging plugin confirmation message
      (LP: #319433)
    + make install uses mdtool, but configure doesn't check for it
      (LP: #322951)
    + Virtualbox Icon in 2.10 are broken because of a new
      specification (LP: #323902)
    + Google Maps Plugin shouldn't always use route (LP: #324271)
    + Fix for Google Maps when using newlines and other special
      characters (LP: #324667)
    + VirtualBox failed to load icon (LP: #325712)
    + 'Read Man Pages' plugin makes Gnome-Do unresponsive
      (LP: #325935)
    + Search returns broken URLs (LP: #327855)
    + Default action for SSH hosts is "open" (LP: #328236)
    + Files and Folders Configuration doesn't use standard buttons
      (LP: #328236)
    + Window manager maximize action should focus if window is not
      currently focused (LP: #258893)
    + Locate plugin has no error message (LP: #262360)
    + Wishlist: Let user specify files and folders to ignore
      (LP: #263177)
    + ts-client plugin doesn't index subdirectories (LP: #322352)
    + Max 3000 items in Files and Folders plugin (LP: #324105)
    + putty cannot find host when running from gnome do
      (LP: #324282)
    + locate plugin with globbing (LP: #334798)
    + Twitter plugin encountered an error in UpdateFriends
      (LP: #317575)
    + gnome-terminal profiles no longer work (LP: #321977)
    + Creating a task using Remember the Milk plugin can fail if
      no task list is specified (LP: #324066)
    + bundled libraries makefile needs destdir (LP: #324704)
    + Typographical error in del.icio.us plugin (LP: #330525)
    + ImageShack fails to upload (LP: #337324)
  * debian/copyright
    + Refresh for new upstream version; new plugins added.
  * debian/patches/00_dfsg_autofoo.dpatch
    + Update for new upstream version
    + Don't build the YouTube plugin due to removal of shipped
      exes and dlls causing FTBFS
  * debian/patches/02_ssh_respect_exec_arg.dpatch
    debian/patches/03_buildsystem_respect_mcs.dpatch
    debian/patches/04_fix_pidgin_dbus_ints.dpatch
    + Drop; fixed upstream

  [ Iain Lane ]
  * debian/rules: Update repackaging to not delete *.dll; upstream now ships
    source copies of google-gdata meaning we can now enable the Google and
    Youtube plugins.
  * debian/patches/00_dfsg_autofoo: Drop, fixed by including and building
    these libs now.
  * debian/copyright: Update with information for google-gdata.
  * debian/patches/04_fix_pidgin_dbus_ints.dpatch: Add le...

Read more...

Changed in gnome-do-plugins:
status: Confirmed → Fix Released
GonzO (gonzo) wrote :

I hate to be picky, but: Docky blocks drag and drop over large areas of the screen (LP: #318471) is NOT, in fact, fixed in release 0.8.1.3 (though it is fixed in trunk).

Can confirm on 3 different machines (all on Jaunty).

Iain Lane (laney) wrote :

Then reopen that bug or file a new one describing, in detail, how to reproduce it and which versions of all dependencies you have installed.

Yeah the fix for this was killed by the new version of GTK which i was
not developing on. I have re-worked the fix to work on the newer version
of GTK however and now works without issue. This will be in the next
release (again, sorry)

On Thu, 2009-06-25 at 16:23 +0000, Iain Lane wrote:
> Then reopen that bug or file a new one describing, in detail, how to
> reproduce it and which versions of all dependencies you have installed.
>

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers